#include <bits/stdc++.h>
using namespace std;

#define shift 1000000

int main(){

    int n, k;
    cin >> n >> k;

    vector<int> c(2 * shift + 1, 0);

    int x;

    for(int i = 0; i < n; i++){
        cin >> x;
        c[x + shift]++;
    }

    vector<int> p;

    for(int i = 0; i < c.size(); i++)
        if(c[i] >= k)
            p.push_back(i - shift);

    cout << p.size() << endl;

    for(int i = 0; i < p.size(); i++){
        cout << p[i] << " ";
    }

    cout << endl;

    return 0;
}